import { ResourceItemType } from "@/Common/ResourceItem/ResourceItemType";
import { NetRequest } from "../../Engine/CatanEngine/NetManagerV2/NetRequest";
import { ItemInfo } from "../backpack/itemInfo";

export type ResponseBackpackInfo = [
	ResourceType: ResourceItemType,
	itemInfo: ItemInfo,
];

/** 背包內容 */
export class BackpackInfo extends NetRequest<null, ResponseBackpackInfo[]> {
	get Method(): string {
		return "backpack.info";
	}
	constructor() {
		super();
	}
}