import { ResourceItemType } from "./ResourceItemType";

interface IResourceItem {
	/** 取得資源名稱 */
	readonly Name: string;
	/** 取得資源類型 */
	readonly ResourceType: ResourceItemType;
	/** 資源編號 */
	readonly ID: number;
	/** 數量 */
	Count: number;

	/** 加入到玩家資源中 */
	AddToResource(): void;
}
export default IResourceItem;